package com.yihu.jw.entity.care.sign;


import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 能力评估-基本信息表
 * Created by Bing on 2021/4/1.
 */
@Entity
@Table(name="base_capacity_assessment_baseinfo")
public class CapacityAssessmentBaseInfoDo extends UuidIdentityEntityWithCreateTime {
    private String  assessmentYear;    //评估年份
    private Integer status; //状态 0失效 1有效
    private String  patient;    //
    private String  name;   //
    private Integer sex;    //
    private String  age;    //
    private String  nation; //名族
    private String  nationName; //名族
    private String  religion;   //宗教信仰 0无;1有
    private String  idcard; //
    private String  domicile;   //户籍 0本地户口;1外地户口
    private String  marriage;   //婚姻状况 10.未婚 20.已婚 30.丧偶 40.离婚 90.未说明的婚姻状况
    private String  marriageRemark;    //婚姻状况 备注
    private String  education;  //文化程度 0文盲及半文盲;1小学;2初中;3高中/技校/中专;4大学专科及以上;5不详
    private String  incomeType;    //主要经济来源 0退休金/养老金;1子女补贴;2亲友资助;3其他补贴
    private String  pensionFlag;   //是否有养老金收入 0无 1有
    private String  pensionCount;  //养老金收入 元/月
    private String  familyType;    //是否为经济困难家庭 0否 1特困 2低保 3低保边缘
    private String  disabilityCertificate; //是否为持证残疾人 0否 1是
    private String  medicalInsuranceType; //医保类别 1职工基本医疗保险 2城乡居民基本医疗保险 3其他医疗保障 4无任何保障
    private String  medicalInsurance;  //是否购买了商业健康（医疗）保险 0否 1是
    private String  livingType;    //现住场所:1自有产权房、私房等;2各类租赁房等;3养老院或类似机构;4护理院或类似机构;5医院或类似机构
    private String  livingTogether;    //同居者类型 0独居;1与配偶/伴侣居住;2与子女居住;3与孙辈居住;4与父母居住;5与兄弟姐妹居住;6与其他亲友居住;7其他
    private String  livingTogetherRemark; //同居者备注
    private String  dementiaFlag;  //痴呆症 0无 1有
    private String  mentalIllness; //精神疾病（可多选）0无;1精神分裂症;2双相情感障碍;3偏执性精神障碍;4分裂情感性障碍;5癫痫所致精神障碍;6精神发育迟滞伴发精神障碍
    private String  diseaseType;   //患病类型可多选;0无 1肿瘤(晚期)2严重心律失常3压疮4慢性心力衰竭(心功能III-IV级)5慢性肾功能衰竭(尿毒症期)6多器官功能衰竭7蛋白质能量营养不足(重度)8慢性阻塞性肺疾病(肺心病心功能III-IV级)9呼吸衰竭10脑血管意外合并吞咽障碍11其他
    private String  diseaseRemark; //其他疾病
    private String  fallLately;    //近30天跌倒 0无;1一次;2两次;3三次及以上
    private String  lostLately;    //近30天走失 0无;1一次;2两次;3三次及以上
    private String  chokingLately; //近30天噎食 0无;1一次;2两次;3三次及以上
    private String  suicideLately; //近30天自杀 0无;1一次;2两次;3三次及以上
    private String  remarkLately;  //近30天意外 其他
    private String  medicalServices;   //近7天是否接受过医疗护理服务 0无1有
    private String  domicileCounty;    //户籍  区(县、市)
    private String  domicileStreet;   //户籍  街(镇）
    private String  domicileOrg;   //户籍 社(村)
    private String  domicileCountyName;    //户籍名称  区(县、市)
    private String  domicileStreetName;   //户籍名称  街(镇）
    private String  domicileOrgName;   //户籍名称 社(村)
    private String  domicileBuilding;  //户籍 xx幢
    private String  domicileRoom;  //户籍 xx室
    private String  liveCounty;    //居住地  区(县、市)
    private String  liveStreet;   //居住地  街(镇）
    private String  liveOrg;   //居住地 社(村)
    private String  liveCountyName;    //居住地名称  区(县、市)
    private String  liveStreetName;   //居住地名称  街(镇）
    private String  liveOrgName;   //居住地名称 社(村)
    private String  liveBuilding;  //居住地 xx幢
    private String  liveRoom;  //居住地 xx室
    private String  postcode;   //邮编
    private String  residencePhone;    //住宅电话
    private String  patientPhone;  //手机
    private String  proxyName; //代理人姓名
    private String  applicantRelation; //与申请人关系
    private String  proxyAddress;  //代理人地址
    private String  proxyTelephone;    //代理人电话
    private String  proxyPhone;    //代理人手机
    private String  applicantSign; //申请人(代理人) 签字结果图片url
    private String  applicantDate;  //申请日期
    private String  serviceType;   //养老服务形式 0居家养老 1机构养老
    private String  acceptableServicesLife1;  //直接生活照顾  1穿衣;2修饰;3口腔清洁;4皮肤清洁;5喂食服务;6排泄照料
    private String  acceptableServicesLife2;  //间接生活照顾  1居室清洁;2更换洗涤;3上门维修;4定期探访;5膳食服务;6文化教育;7娱乐休闲;8室外休闲(户外);9紧急呼援;10法律援助;11转介服务;12咨询服务
    private String  acceptableServicesMental; //精神心理照顾 1危机干预;2沟通;3精神支持;4心理疏导;5心理咨询
    private String  acceptableServicesRehabilitation; //康复护理照顾 1定期翻身;2压疮预;3防活动肢体;4肢体保健;5康复活动;6预防保健;7健康咨询;8健康管理;9健康教育;10临终关怀
    private String  acceptableServicesOther;  //其他
    private String  birthday;  //出生日期

    public String getAssessmentYear() {
        return assessmentYear;
    }

    public void setAssessmentYear(String assessmentYear) {
        this.assessmentYear = assessmentYear;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNationName() {
        return nationName;
    }

    public void setNationName(String nationName) {
        this.nationName = nationName;
    }

    public String getReligion() {
        return religion;
    }

    public void setReligion(String religion) {
        this.religion = religion;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getDomicile() {
        return domicile;
    }

    public void setDomicile(String domicile) {
        this.domicile = domicile;
    }

    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

    public String getMarriageRemark() {
        return marriageRemark;
    }

    public void setMarriageRemark(String marriageRemark) {
        this.marriageRemark = marriageRemark;
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getIncomeType() {
        return incomeType;
    }

    public void setIncomeType(String incomeType) {
        this.incomeType = incomeType;
    }

    public String getPensionFlag() {
        return pensionFlag;
    }

    public void setPensionFlag(String pensionFlag) {
        this.pensionFlag = pensionFlag;
    }

    public String getPensionCount() {
        return pensionCount;
    }

    public void setPensionCount(String pensionCount) {
        this.pensionCount = pensionCount;
    }

    public String getFamilyType() {
        return familyType;
    }

    public void setFamilyType(String familyType) {
        this.familyType = familyType;
    }

    public String getDisabilityCertificate() {
        return disabilityCertificate;
    }

    public void setDisabilityCertificate(String disabilityCertificate) {
        this.disabilityCertificate = disabilityCertificate;
    }

    public String getMedicalInsuranceType() {
        return medicalInsuranceType;
    }

    public void setMedicalInsuranceType(String medicalInsuranceType) {
        this.medicalInsuranceType = medicalInsuranceType;
    }

    public String getMedicalInsurance() {
        return medicalInsurance;
    }

    public void setMedicalInsurance(String medicalInsurance) {
        this.medicalInsurance = medicalInsurance;
    }

    public String getLivingType() {
        return livingType;
    }

    public void setLivingType(String livingType) {
        this.livingType = livingType;
    }

    public String getLivingTogether() {
        return livingTogether;
    }

    public void setLivingTogether(String livingTogether) {
        this.livingTogether = livingTogether;
    }

    public String getLivingTogetherRemark() {
        return livingTogetherRemark;
    }

    public void setLivingTogetherRemark(String livingTogetherRemark) {
        this.livingTogetherRemark = livingTogetherRemark;
    }

    public String getDementiaFlag() {
        return dementiaFlag;
    }

    public void setDementiaFlag(String dementiaFlag) {
        this.dementiaFlag = dementiaFlag;
    }

    public String getMentalIllness() {
        return mentalIllness;
    }

    public void setMentalIllness(String mentalIllness) {
        this.mentalIllness = mentalIllness;
    }

    public String getDiseaseType() {
        return diseaseType;
    }

    public void setDiseaseType(String diseaseType) {
        this.diseaseType = diseaseType;
    }

    public String getDiseaseRemark() {
        return diseaseRemark;
    }

    public void setDiseaseRemark(String diseaseRemark) {
        this.diseaseRemark = diseaseRemark;
    }

    public String getFallLately() {
        return fallLately;
    }

    public void setFallLately(String fallLately) {
        this.fallLately = fallLately;
    }

    public String getLostLately() {
        return lostLately;
    }

    public void setLostLately(String lostLately) {
        this.lostLately = lostLately;
    }

    public String getChokingLately() {
        return chokingLately;
    }

    public void setChokingLately(String chokingLately) {
        this.chokingLately = chokingLately;
    }

    public String getSuicideLately() {
        return suicideLately;
    }

    public void setSuicideLately(String suicideLately) {
        this.suicideLately = suicideLately;
    }

    public String getRemarkLately() {
        return remarkLately;
    }

    public void setRemarkLately(String remarkLately) {
        this.remarkLately = remarkLately;
    }

    public String getMedicalServices() {
        return medicalServices;
    }

    public void setMedicalServices(String medicalServices) {
        this.medicalServices = medicalServices;
    }

    public String getDomicileCounty() {
        return domicileCounty;
    }

    public void setDomicileCounty(String domicileCounty) {
        this.domicileCounty = domicileCounty;
    }

    public String getDomicileStreet() {
        return domicileStreet;
    }

    public void setDomicileStreet(String domicileStreet) {
        this.domicileStreet = domicileStreet;
    }

    public String getDomicileOrg() {
        return domicileOrg;
    }

    public void setDomicileOrg(String domicileOrg) {
        this.domicileOrg = domicileOrg;
    }

    public String getDomicileCountyName() {
        return domicileCountyName;
    }

    public void setDomicileCountyName(String domicileCountyName) {
        this.domicileCountyName = domicileCountyName;
    }

    public String getDomicileStreetName() {
        return domicileStreetName;
    }

    public void setDomicileStreetName(String domicileStreetName) {
        this.domicileStreetName = domicileStreetName;
    }

    public String getDomicileOrgName() {
        return domicileOrgName;
    }

    public void setDomicileOrgName(String domicileOrgName) {
        this.domicileOrgName = domicileOrgName;
    }

    public String getDomicileBuilding() {
        return domicileBuilding;
    }

    public void setDomicileBuilding(String domicileBuilding) {
        this.domicileBuilding = domicileBuilding;
    }

    public String getDomicileRoom() {
        return domicileRoom;
    }

    public void setDomicileRoom(String domicileRoom) {
        this.domicileRoom = domicileRoom;
    }

    public String getLiveCounty() {
        return liveCounty;
    }

    public void setLiveCounty(String liveCounty) {
        this.liveCounty = liveCounty;
    }

    public String getLiveStreet() {
        return liveStreet;
    }

    public void setLiveStreet(String liveStreet) {
        this.liveStreet = liveStreet;
    }

    public String getLiveOrg() {
        return liveOrg;
    }

    public void setLiveOrg(String liveOrg) {
        this.liveOrg = liveOrg;
    }

    public String getLiveCountyName() {
        return liveCountyName;
    }

    public void setLiveCountyName(String liveCountyName) {
        this.liveCountyName = liveCountyName;
    }

    public String getLiveStreetName() {
        return liveStreetName;
    }

    public void setLiveStreetName(String liveStreetName) {
        this.liveStreetName = liveStreetName;
    }

    public String getLiveOrgName() {
        return liveOrgName;
    }

    public void setLiveOrgName(String liveOrgName) {
        this.liveOrgName = liveOrgName;
    }

    public String getLiveBuilding() {
        return liveBuilding;
    }

    public void setLiveBuilding(String liveBuilding) {
        this.liveBuilding = liveBuilding;
    }

    public String getLiveRoom() {
        return liveRoom;
    }

    public void setLiveRoom(String liveRoom) {
        this.liveRoom = liveRoom;
    }

    public String getPostcode() {
        return postcode;
    }

    public void setPostcode(String postcode) {
        this.postcode = postcode;
    }

    public String getResidencePhone() {
        return residencePhone;
    }

    public void setResidencePhone(String residencePhone) {
        this.residencePhone = residencePhone;
    }

    public String getPatientPhone() {
        return patientPhone;
    }

    public void setPatientPhone(String patientPhone) {
        this.patientPhone = patientPhone;
    }

    public String getProxyName() {
        return proxyName;
    }

    public void setProxyName(String proxyName) {
        this.proxyName = proxyName;
    }

    public String getApplicantRelation() {
        return applicantRelation;
    }

    public void setApplicantRelation(String applicantRelation) {
        this.applicantRelation = applicantRelation;
    }

    public String getProxyAddress() {
        return proxyAddress;
    }

    public void setProxyAddress(String proxyAddress) {
        this.proxyAddress = proxyAddress;
    }

    public String getProxyTelephone() {
        return proxyTelephone;
    }

    public void setProxyTelephone(String proxyTelephone) {
        this.proxyTelephone = proxyTelephone;
    }

    public String getProxyPhone() {
        return proxyPhone;
    }

    public void setProxyPhone(String proxyPhone) {
        this.proxyPhone = proxyPhone;
    }

    public String getApplicantSign() {
        return applicantSign;
    }

    public void setApplicantSign(String applicantSign) {
        this.applicantSign = applicantSign;
    }

    public String getApplicantDate() {
        return applicantDate;
    }

    public void setApplicantDate(String applicantDate) {
        this.applicantDate = applicantDate;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public String getAcceptableServicesLife1() {
        return acceptableServicesLife1;
    }

    public void setAcceptableServicesLife1(String acceptableServicesLife1) {
        this.acceptableServicesLife1 = acceptableServicesLife1;
    }

    public String getAcceptableServicesLife2() {
        return acceptableServicesLife2;
    }

    public void setAcceptableServicesLife2(String acceptableServicesLife2) {
        this.acceptableServicesLife2 = acceptableServicesLife2;
    }

    public String getAcceptableServicesMental() {
        return acceptableServicesMental;
    }

    public void setAcceptableServicesMental(String acceptableServicesMental) {
        this.acceptableServicesMental = acceptableServicesMental;
    }

    public String getAcceptableServicesRehabilitation() {
        return acceptableServicesRehabilitation;
    }

    public void setAcceptableServicesRehabilitation(String acceptableServicesRehabilitation) {
        this.acceptableServicesRehabilitation = acceptableServicesRehabilitation;
    }

    public String getAcceptableServicesOther() {
        return acceptableServicesOther;
    }

    public void setAcceptableServicesOther(String acceptableServicesOther) {
        this.acceptableServicesOther = acceptableServicesOther;
    }

    @Transient
    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }
}
